local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	local digest = function(value)
		return Application:digest_value(value, true)
	end

self.skill_pages_order = {
		"mastermind",
		"enforcer",
		"technician",
		"ghost",
		"hoxton",
		"bandmaster"
	}


--set 1			per-a-colas
		self.skills.bandmaster_1_11 = { -- 1 1		staminup
			["name_id"] = "bandmaster_1_11_name",
			["desc_id"] = "bandmaster_1_11_desc",
			["icon_xy"] = {1, 8},
			[1] = {
				upgrades = {
					"st1"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"runbar"
				},
				cost = self.costs.pro
			}
		}
	
		self.skills.bandmaster_1_21 = { -- 2 1		juger
				["name_id"] = "bandmaster_1_21_name",
				["desc_id"] = "bandmaster_1_21_desc",
				["icon_xy"] = {1, 1},
				[1] = {
					upgrades = {
						"klife"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"jug_buff1"
					},
					cost = self.costs.hightierpro
				}
			}

		self.skills.bandmaster_1_22 = { -- 2 2		toddler
				["name_id"] = "bandmaster_1_22_name",
				["desc_id"] = "bandmaster_1_22_desc",
				["icon_xy"] = {0, 3},
				[1] = {
					upgrades = {
						"",
						"spwalk"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"spwalk2"
					},
					cost = self.costs.pro
				}
			}
			
		self.skills.bandmaster_1_31 = { -- 3 1		accstab
				["name_id"] = "bandmaster_1_31_name",
				["desc_id"] = "bandmaster_1_31_desc",
				["icon_xy"] = {7, 7},
				[1] = {
					upgrades = { 
						"lmg_spread_index_addend",
						"smg_spread_index_addend",
						"akimbo_spread_index_addend",
						"assault_rifle_spread_index_addend",
						"shotgun_spread_index_addend",
						"lmg_recoil_index_addend",
					"assault_rifle_recoil_index_addend",
						"smg_recoil_index_addend",
					"snp_recoil_index_addend",
					"pistol_recoil_index_addend"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
						"lmg_recoil_index_addend_2",
					"assault_rifle_recoil_index_addend_2",
						"smg_recoil_index_addend_2",
					"snp_recoil_index_addend_2",
					"pistol_recoil_index_addend_2",
						"lmg_spread_index_addend_2",
						"smg_spread_index_addend_2",
						"akimbo_spread_index_addend_2",
						"assault_rifle_spread_index_addend_2",
						"shotgun_spread_index_addend_2"
					},
					cost = self.costs.pro
				}
			}

		self.skills.bandmaster_1_32 = { -- 3 2		AmmoPlus
				["name_id"] = "bandmaster_1_32_name",
				["desc_id"] = "bandmaster_1_32_desc",
				["icon_xy"] = {2, 0},
				[1] = {
					upgrades = { 
						"grenade_launcher_ammo_multiplier",
						"smg_ammo_multiplier",
						"snp_ammo_multiplier",
						"assault_rifle_ammo_multiplier",
						"lmg_ammo_multiplier",
						"shotgun1_ammo_multiplier",
						"pistol1_ammo_multiplier"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
							"grenade_launcher2_ammo_multiplier",
						"smg2_ammo_multiplier",
						"snp2_ammo_multiplier",
						"assault_rifle2_ammo_multiplier",
						"lmg2_ammo_multiplier",
						"shotgun2_ammo_multiplier",
						"pistol2_ammo_multiplier"
					},
					cost = self.costs.pro
				}
			}

		self.skills.bandmaster_1_41 = { -- 4 1		punch
				["name_id"] = "bandmaster_1_41_name",
				["desc_id"] = "bandmaster_1_41_desc",
				["icon_xy"] = {1, 7},
				[1] = {
					upgrades = { 
				"Snp_damage_boost_1",
				"Assault_rifle_damage_boost_1",
				"Smg_damage_boost_1",
                      "lmg_damage1_multiplier",
                      "akimbo_damage_boost_1"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = { 
						"Snp_damage_boost_2",
						"Assault_rifle_damage_boost_2",
						"Smg_damage_boost_2",
                                "lmg_damage2_multiplier",
                                "akimbo_damage_boost_2"                                          
					},
					cost = self.costs.hightierpro
				}
			}
			
		

	
--set 2
		self.skills.bandmaster_2_11 = { -- 1 1		glist
			["name_id"] = "bandmaster_2_11_name",
			["desc_id"] = "bandmaster_2_11_desc",
			["icon_xy"] = {5, 0},
			[1] = {
				upgrades = {					
				"Snp_Rate_Boost_1",
						"Assault_rifle_Rate_Boost_1",
						"Smg_Rate_Boost_1",
                                "lmg_firerate",
                                "grenade_launcher_firerate"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
				"Snp_Rate_Boost_2",
						"Assault_rifle_Rate_Boost_2",
						"Smg_Rate_Boost_2",
                                "aced_lmg_firerate",
                                "aced_grenade_launcher_firerate",
"player_critical_hit_chance_3"
				},
				cost = self.costs.hightierpro
			}
		}	
	
		self.skills.bandmaster_2_21 = { -- 2 1		PHD

				["name_id"] = "bandmaster_2_21_name",
				["desc_id"] = "bandmaster_2_21_desc",
				["icon_xy"] = {0, 4},
				[1] = {
					upgrades = {
						"Flop1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"Flop2",
					"respawntime"
					},
					cost =self.costs.pro
				}
			}
			
		self.skills.bandmaster_2_22 = { -- 2 2		duck
				["name_id"] = "bandmaster_2_22_name",
				["desc_id"] = "bandmaster_2_22_desc",
				["icon_xy"] = {0, 11},
				[1] = {
					upgrades = {
						"crouchdodge"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"crouchdodge2"
					},
					cost = self.costs.hightierpro
				}
			}
			
		self.skills.bandmaster_2_31 = { -- 3 1		tougG
				["name_id"] = "bandmaster_2_31_name",
				["desc_id"] = "bandmaster_2_31_desc",
				["icon_xy"] = {3, 7},
				--note this is a good icon for this when done {1, 2}
				[1] = {
					upgrades = {
					"shake"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
					"Armor1"
					},
					cost = self.costs.pro
				}
			}
			
		self.skills.bandmaster_2_32 = { -- 3 2		hardtdie
				["name_id"] = "bandmaster_2_32_name",
				["desc_id"] = "bandmaster_2_32_desc",
				["icon_xy"] = {1, 2},
				[1] = {
					upgrades = {
					"GuyS1"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
					"DeadS1"
					},
					cost = self.costs.hightierpro
				}
			}

		self.skills.bandmaster_2_41 = { -- 4 1		rechar
				["name_id"] = "bandmaster_2_41_name",
				["desc_id"] = "bandmaster_2_41_desc",
				["icon_xy"] = {1, 9},
				[1] = {
					upgrades = {
					"grenade_launcher_reload_speed"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"grenade_launcher_reload_speed2"
					},
					cost = self.costs.hightierpro
				}
			}
			


	--set 3			per-a-colas
		self.skills.bandmaster_3_11 = { -- 1 1		disciple
			["name_id"] = "bandmaster_3_11_name",
			["desc_id"] = "bandmaster_3_11_desc",
			["icon_xy"] = {7, 8},
			[1] = {
				upgrades = {
					"Armorminus1",
					"Grindr1"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
					"Armorminus2",
					"Grindr2"
				},
				cost = self.costs.hightierpro
			}
		}
			self.skills.bandmaster_3_21 = { -- 2 1 	ReloadSpeedSwap	
			["name_id"] = "bandmaster_3_21_name",
			["desc_id"] = "bandmaster_3_21_desc",
			["icon_xy"] = {5, 1},
			[1] = {
				upgrades = {
					"assault_rifle_swap",
					"grenade_launcher_swap",
					"lmg_swap",
					"smg_swap",
					"snp_swap",
					"Akimbo_swap"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {											"assault_rifle2_swap",
					"grenade_launcher2_swap",
					"lmg2_swap",
					"smg2_swap",
					"snp2_swap",
					"Akimbo2_swap"
				},
				cost = self.costs.pro
			}
		}

		self.skills.bandmaster_3_22 = { -- 2 2		Meditac
			["name_id"] = "bandmaster_3_22_name",
			["desc_id"] = "bandmaster_3_22_desc",
			["icon_xy"] = {6, 6},
			[1] = {
				upgrades = {
					"medit1"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"medit2"
				},
				cost = self.costs.pro
			}
		}

		self.skills.bandmaster_3_31 = { -- 3 1		panic
			["name_id"] = "bandmaster_3_31_name",
			["desc_id"] = "bandmaster_3_31_desc",
			["icon_xy"] = {7, 0},
			[1] = {
				upgrades = {
					"kpanic"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"kpanic2"
				},
				cost = self.costs.pro
			}
		}

		self.skills.bandmaster_3_32 = { -- 3 2		Bullprof
			["name_id"] = "bandmaster_3_32_name",
			["desc_id"] = "bandmaster_3_32_desc",
			["icon_xy"] = {6, 4},
			[1] = {
				upgrades = {
					"bulletproof1arm"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
					"bulletproof2arm"
				},
				cost = self.costs.hightierpro
			}
		}

		self.skills.bandmaster_3_41 = { -- 4 1		stampy
			["name_id"] = "bandmaster_3_41_name",
			["desc_id"] = "bandmaster_3_41_desc",
			["icon_xy"] = {7, 3},
			[1] = {
				upgrades = {
				   "AnarchHeal", 
				   "dodjetier1"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
				    "dodjetier2",
	        		"AnarchHeal2"
				},
				cost = self.costs.hightierpro
			}
		}
	
			
--perk-a-colas	
table.insert(self.trees,{
			name_id = "bandmaster_tree1",
			background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
			unlocked = true,
			skill = "bandmaster",
			tiers = {
				{	
					"bandmaster_3_21"
				},
				{
					"bandmaster_1_32",
					"bandmaster_1_31"
				},
				{
					"bandmaster_1_41",
					"bandmaster_2_41"
				},
				{"bandmaster_2_11"}
			}
		})	

		
--set 2
table.insert(self.trees,{
			name_id = "bandmaster_tree2",
			background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
			unlocked = true,
			skill = "bandmaster",
			tiers = {
				{	
					"bandmaster_2_21"
				},
				{
					"bandmaster_3_31",
					"bandmaster_1_22"
				},
				{
					"bandmaster_3_11",
					"bandmaster_2_22"
				},
				{"bandmaster_3_41"}
			}
		})			


--set 3
table.insert(self.trees,{
			name_id = "bandmaster_tree3",
			background_texture = "guis/textures/pd2/skilltree/bg_mastermind",
			unlocked = true,
			skill = "bandmaster",
			tiers = {
				{	
					"bandmaster_1_11"
				},
				{
					"bandmaster_2_31",
					"bandmaster_3_22"
				},
				{
					"bandmaster_2_32",
					"bandmaster_1_21"
				},
				{"bandmaster_3_32"}
			}
		})		


self.skilltree.bandmaster = {
	name_id = "bandmaster_title",
	desc_id = "bandmaster_desc"

	}
end