local data = UpgradesTweakData._init_pd2_values
function UpgradesTweakData:_init_pd2_values()
	data(self, tweak_data)

	self.values.player.killshot_regen_armor_bonus = {
	3,
	0, -- this is a workaround because if you use this value don't work Number 2 so you need to start
	0, -- 
	1.5 -- deadshot kill
	}

	self.values.player.killshot_close_regen_armor_bonus = {
	3,
	0,
	1 -- Guy 
	}


	self.values.player.killshot_close_panic_chance = {	
	0.75, 
	0,
	0.30, -- Frigh
	0.90
	}

	self.values.player.respawn_time_multiplier = {1, 0.50}

	self.values.player.melee_kill_life_leech = {0.20, 0, 0.05, 0.10 }
	self.values.player.crouch_dodge_chance = {0.1, 0.05, 0.05, 0, 0.05, 0.15 }
	self.values.player.damage_shake_multiplier = {1, 1, 0.65}
	self.values.player.walk_speed_multiplier = {1, 1, 1.10, 1.25}

	self.values.player.stamina_multiplier = {1.5}
	self.values.player.fall_damage_multiplier = {0.25, 0}

	self.values.player.tier_dodge_chance = {
	0, -- from perk burglar
	0.10,
	0.05,
	0,
	0.05,
	0.15
	}

     	--GL skills
	self.values.grenade_launcher = {} -- Workaround necessary for enable custom skill
	self.values.grenade_launcher.swap_speed_multiplier =   {1.33, 1.66} -- Swap sped Done
	self.values.grenade_launcher.reload_speed_multiplier = {1.25, 1.75} -- Reload speed 50% 100% -- Done
	self.values.grenade_launcher.fire_rate_multiplier =    {1.15,1.45} -- fire rate 50% 100%	--Done--
	self.values.grenade_launcher.extra_ammo_multiplier = {1.10, 1.30} 


end

local skills = UpgradesTweakData._player_definitions
function UpgradesTweakData:_player_definitions()
	skills(self, tweak_data)
	
		self.definitions.st1 = {
			category = "feature",
			name_id = "menu_player_stamina_multiplier",
			upgrade = {
				category = "player",
				upgrade = "stamina_multiplier",
				value = 1
		}}

		
		
		self.definitions.DeadS1 = {
		category = "feature",
		name_id = "menu_player_killshot_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_regen_armor_bonus",
			value = 4}}

		self.definitions.GuyS1 = {
		category = "feature",
		name_id = "menu_player.killshot_close_regen_armor_bonus",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_regen_armor_bonus",
			value = 3}}
		
		self.definitions.Flop1 = {
		category = "feature",
		name_id = "menu_player_fall_damage_multiplier",
		upgrade = {
			category = "player",
			upgrade = "fall_damage_multiplier",
			value = 1}}
		self.definitions.Flop2 = {
		category = "feature",
		name_id = "menu_player_fall_damage_multiplier",
		upgrade = {
			category = "player",
			upgrade = "fall_damage_multiplier",
			value = 2}}
		
-- Weapons Skills
	
		
	-- GL Skill tree skills

		self.definitions.grenade_launcher_ammo_multiplier = {
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 1
		}}
		self.definitions.grenade_launcher2_ammo_multiplier = {
			category = "feature",
			name_id = "grenade_launcher_extra_ammo_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "extra_ammo_multiplier",
				value = 2
		}}

		self.definitions.grenade_launcher_reload_speed = {
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 1
		}}
		self.definitions.grenade_launcher_reload_speed2 = {
			category = "feature",
			name_id = "grenade_launcher_reload_speed",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "reload_speed_multiplier",
				value = 2
		}}

		self.definitions.grenade_launcher_firerate = {
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 1
		}}
		self.definitions.aced_grenade_launcher_firerate = {
			category = "feature",
			name_id = "grenade_launcher_firerate",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "fire_rate_multiplier",
				value = 2
		}}

		self.definitions.grenade_launcher_swap = {
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 1
		}}
		self.definitions.grenade_launcher2_swap = {
			category = "feature",
			name_id = "grenade_launcher_swap_speed_multiplier",
			upgrade = {
				category = "grenade_launcher",
				upgrade = "swap_speed_multiplier",
				value = 2
		}}
		

-- face Skills

		self.definitions.respawntime = {
		category = "feature",
		name_id = "menu_player_respawn_time_multiplier",
		upgrade = {
			category = "player",
			upgrade = "respawn_time_multiplier",
			value = 2
		}}

		self.definitions.crouchspeed = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 3
		}}
		self.definitions.crouchspeed2 = {
			category = "feature",
			name_id = "menu_player_crouch_speed_multiplier",
			upgrade = {
				category = "player",
				upgrade = "crouch_speed_multiplier",
				value = 4
		}}

		self.definitions.crouchdodge = {
			category = "feature",
			name_id = "menu_player_crouch_dodge_chance",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 5
		}}
		self.definitions.crouchdodge2 = {
			category = "feature",
			name_id = "menu_player_crouch_dodge_chance",
			upgrade = {
				category = "player",
				upgrade = "crouch_dodge_chance",
				value = 6
		}}

		self.definitions.shake = {
			category = "feature",
			name_id = "menu_player.damage_shake_multiplier",
			upgrade = {
				category = "player",
				upgrade = "damage_shake_multiplier",
				value = 3
		}}

		self.definitions.klife = {
		category = "feature",
		name_id = "menu_player.melee_kill_life_leech",
		upgrade = {
			category = "player",
			upgrade = "melee_kill_life_leech",
			value = 3
		}}
		self.definitions.klife2 = {
		category = "feature",
		name_id = "menu_player.melee_kill_life_leech",
		upgrade = {
			category = "player",
			upgrade = "melee_kill_life_leech",
			value = 4
		}}

		self.definitions.kpanic = {
		category = "feature",
		name_id = "menu_player.killshot_close_panic_chance",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_panic_chance",
			value = 3
		}}
		self.definitions.kpanic2 = {
		category = "feature",
		name_id = "menu_player.killshot_close_panic_chance",
		upgrade = {
			category = "player",
			upgrade = "killshot_close_panic_chance",
			value = 4
		}}

		
-- Skills


	self.definitions.dodjetier1 = {
		category = "feature",
		incremental = false,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 5
		}}
	self.definitions.dodjetier2 = {
		category = "feature",
		incremental = false,
		name_id = "menu_player.tier_dodge_chance",
		upgrade = {
			category = "player",
			upgrade = "tier_dodge_chance",
			value = 6
		}}

		self.definitions.spwalk = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 3
		}}
		self.definitions.spwalk2 = {
		category = "feature",
		name_id = "menu_player.walk_speed_multiplier",
		upgrade = {
			category = "player",
			upgrade = "walk_speed_multiplier",
			value = 4
		}}


end

