local data = SkillTreeTweakData.init
function SkillTreeTweakData:init(tweak_data)
	data(self, tweak_data)
	local digest = function(value)
		return Application:digest_value(value, true)
	end

self.skill_pages_order = {
		"mastermind",
		"enforcer",
		"technician",
		"ghost",
		"hoxton",
		"subordinate"
	}


--set 1			
		self.skills.subordinate_1_11 = { -- 1 1		staminup
			["name_id"] = "subordinate_1_11_name",
			["desc_id"] = "subordinate_1_11_desc",
			["icon_xy"] = {7, 10},
			[1] = {
				upgrades = {
					"shake"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"st1"
				},
				cost = self.costs.pro
			}
		}
	

		self.skills.subordinate_1_22 = { -- 2 2		toddler
				["name_id"] = "subordinate_1_22_name",
				["desc_id"] = "subordinate_1_22_desc",
				["icon_xy"] = {0, 3},
				[1] = {
					upgrades = {
						"",
						"spwalk"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"spwalk2"
					},
					cost = self.costs.pro
				}
			}
			

		self.skills.subordinate_1_32 = { -- 3 2		AmmoPlus
				["name_id"] = "subordinate_1_32_name",
				["desc_id"] = "subordinate_1_32_desc",
				["icon_xy"] = {2, 0},
				[1] = {
					upgrades = { 
						"grenade_launcher_ammo_multiplier"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = { 
							"grenade_launcher2_ammo_multiplier"
					},
					cost = self.costs.pro
				}
			}


		self.skills.subordinate_2_11 = { -- 1 1		glist
			["name_id"] = "subordinate_2_11_name",
			["desc_id"] = "subordinate_2_11_desc",
			["icon_xy"] = {5, 0},
			[1] = {
				upgrades = {					
                                "grenade_launcher_firerate"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
                                "aced_grenade_launcher_firerate"
				},
				cost = self.costs.hightierpro
			}
		}	
	
		self.skills.subordinate_2_21 = { -- 2 1		PHD

				["name_id"] = "subordinate_2_21_name",
				["desc_id"] = "subordinate_2_21_desc",
				["icon_xy"] = {0, 4},
				[1] = {
					upgrades = {
						"Flop1"
					},
					cost = self.costs.default
				},
				[2] = {
					upgrades = {
						"Flop2",
					"respawntime"
					},
					cost =self.costs.pro
				}
			}
			
		self.skills.subordinate_2_22 = { -- 2 2		duck
				["name_id"] = "subordinate_2_22_name",
				["desc_id"] = "subordinate_2_22_desc",
				["icon_xy"] = {0, 11},
				[1] = {
					upgrades = {
						"crouchdodge"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"crouchdodge2"
					},
					cost = self.costs.hightierpro
				}
			}
			
			
		self.skills.subordinate_2_32 = { -- 3 2		hardtdie
				["name_id"] = "subordinate_2_32_name",
				["desc_id"] = "subordinate_2_32_desc",
				["icon_xy"] = {1, 2},
				[1] = {
					upgrades = {
					"GuyS1"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
					"DeadS1"
					},
					cost = self.costs.hightierpro
				}
			}

		self.skills.subordinate_2_41 = { -- 4 1		rechar
				["name_id"] = "subordinate_2_41_name",
				["desc_id"] = "subordinate_2_41_desc",
				["icon_xy"] = {1, 9},
				[1] = {
					upgrades = {
					"grenade_launcher_reload_speed"
					},
					cost = self.costs.hightier
				},
				[2] = {
					upgrades = {
						"grenade_launcher_reload_speed2"
					},
					cost = self.costs.hightierpro
				}
			}
			


	--set 3			
		self.skills.subordinate_3_11 = { -- 1 1		disciple
			["name_id"] = "subordinate_3_11_name",
			["desc_id"] = "subordinate_3_11_desc",
			["icon_xy"] = {1, 1},
			[1] = {
				upgrades = {
					"klife"
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
					"klife2"
				},
				cost = self.costs.hightierpro
			}
		}
			self.skills.subordinate_3_21 = { -- 2 1 	ReloadSpeedSwap	
			["name_id"] = "subordinate_3_21_name",
			["desc_id"] = "subordinate_3_21_desc",
			["icon_xy"] = {5, 1},
			[1] = {
				upgrades = {
					"grenade_launcher_swap"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {						
					"grenade_launcher2_swap"
				},
				cost = self.costs.pro
			}
		}


		self.skills.subordinate_3_31 = { -- 3 1		panic
			["name_id"] = "subordinate_3_31_name",
			["desc_id"] = "subordinate_3_31_desc",
			["icon_xy"] = {7, 0},
			[1] = {
				upgrades = {
					"kpanic"
				},
				cost = self.costs.default
			},
			[2] = {
				upgrades = {
					"kpanic2"
				},
				cost = self.costs.pro
			}
		}


		self.skills.subordinate_3_41 = { -- 4 1		stampy
			["name_id"] = "subordinate_3_41_name",
			["desc_id"] = "subordinate_3_41_desc",
			["icon_xy"] = {7, 3},
			[1] = {
				upgrades = {
				   "dodjetier1", 
				   ""
				},
				cost = self.costs.hightier
			},
			[2] = {
				upgrades = {
				    "dodjetier2",
	        		""
				},
				cost = self.costs.hightierpro
			}
		}
	
				
table.insert(self.trees,{
			name_id = "subordinate_tree1",
			background_texture = "guis/textures/pd2/skilltree/bg_subordinate",
			unlocked = true,
			skill = "subordinate",
			tiers = {
				{	
					"subordinate_1_11"
				},
				{
					"subordinate_3_21",
					"subordinate_1_32"
				},
				{
					"subordinate_2_11",
					"subordinate_2_41"
				},
				{"subordinate_3_31"}
			}
		})	

		
--set 2
table.insert(self.trees,{
			name_id = "subordinate_tree2",
			background_texture = "guis/textures/pd2/skilltree/bg_subordinate",
			unlocked = true,
			skill = "subordinate",
			tiers = {
				{	
					"subordinate_2_21"
				},
				{
					"subordinate_3_11",
					"subordinate_1_22"
				},
				{
					"subordinate_2_32",
					"subordinate_2_22"
				},
				{"subordinate_3_41"}
			}
		})			



self.skilltree.subordinate = {
	name_id = "subordinate_title",
	desc_id = "subordinate_desc"

	}
end